classification
Title: Remove MacOS 9-specific module macurl2path.py
Type: Stage: resolved
Components: Library (Lib), macOS Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Chi Hsuan Yen, ned.deily, python-dev, ronaldoussoren
Priority: normal Keywords:

Created on 2016-10-01 10:15 by Chi Hsuan Yen, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (4)
msg277805 - (view) Author: Chi Hsuan Yen (Chi Hsuan Yen) * Date: 2016-10-01 10:15
As per PEP 11, MacOS 9 support is removed in Python 2.4. There are some leftovers in CPython code base, among which the macurl2path module is an example. I propose to remove it for cleaner codes.

In f6785bce54b5 (issue7908), reference to macurl2path was removed from Lib/urllib.py, and macurl2path.py says:

Do not import directly; use urllib instead.

So, unlike the concern in issue9850, I bet there are no third party codes importing this module. It can be removed from CPython safely.

Added some Mac experts.
msg277842 - (view) Author: Roundup Robot (python-dev) Date: 2016-10-02 02:06
New changeset 07c593845994 by Ned Deily in branch 'default':
Issue #28325: Remove vestigal MacOS 9 macurl2path module and its tests.
https://hg.python.org/cpython/rev/07c593845994
msg277843 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2016-10-02 02:09
Thanks for the suggestion; I didn't even know that was still around.  Because it is a bit late in the game for 3.6 and to be extra cautious, I decided to remove it starting with 3.7.
msg277850 - (view) Author: Chi Hsuan Yen (Chi Hsuan Yen) * Date: 2016-10-02 05:04
Thanks for landing all the changes :) It's definitely surprising to see those old CPython codes.
History
Date User Action Args
2017-03-31 16:36:22dstufftsetpull_requests: + pull_request963
2016-10-02 05:04:48Chi Hsuan Yensetmessages: + msg277850
2016-10-02 02:09:53ned.deilysetstatus: open -> closed
versions: - Python 3.6
type: enhancement ->
messages: + msg277843

resolution: fixed
stage: resolved
2016-10-02 02:06:09python-devsetnosy: + python-dev
messages: + msg277842
2016-10-01 10:15:54Chi Hsuan Yencreate